Difference between revisions of "Talk:Avahi"

From ArchWiki
Jump to: navigation, search
(Warning about its usage?: Fix typo.)
(mdns_minimal no longer works?)
 
(6 intermediate revisions by 5 users not shown)
Line 11: Line 11:
 
::The comment was meant to be amplified enough so all could understand all the nuances of the problem.  Further, just because upstream thinks it is stable, or even useful, does not make it either.  To test if the product works, anyone is free to test it. [[User:KitchM|KitchM]] ([[User talk:KitchM|talk]]) 15:10, 18 May 2012 (UTC)
 
::The comment was meant to be amplified enough so all could understand all the nuances of the problem.  Further, just because upstream thinks it is stable, or even useful, does not make it either.  To test if the product works, anyone is free to test it. [[User:KitchM|KitchM]] ([[User talk:KitchM|talk]]) 15:10, 18 May 2012 (UTC)
 
::: Then please add an objective summary of the current situation. And an list of "Not working situations" based on your experence will help other users as well. -- [[User:Fengchao|Fengchao]] ([[User talk:Fengchao|talk]]) 12:15, 19 May 2012 (UTC)
 
::: Then please add an objective summary of the current situation. And an list of "Not working situations" based on your experence will help other users as well. -- [[User:Fengchao|Fengchao]] ([[User talk:Fengchao|talk]]) 12:15, 19 May 2012 (UTC)
 +
 +
== mdns_minimal no longer works? ==
 +
 +
From the install notes:
 +
 +
    ==> Please note that due to security reasons from version 0.9 on the
 +
        minimal mDNS stack included in nss-mdns (dubbed "legacy") is no
 +
        longer built - nss-mdns will not work unless Avahi is running.
 +
    ==> To enable IPv4 multicast DNS lookups, append 'mdns4' to the hosts line
 +
        in /etc/nsswitch.conf. Use 'mdns6' for IPv6 or 'mdns' for both.
 +
 +
[[User:Tad|Tad]] ([[User talk:Tad|talk]]) 06:40, 14 April 2016 (UTC)
 +
 +
:I think the installation message is incorrect, because the minimal modules are included in the package. I have opened a bug report: {{bug|48935}}. -- [[User:Lonaowna|Lonaowna]] ([[User talk:Lonaowna|talk]]) 11:26, 14 April 2016 (UTC)
 +
 +
::Ok... apparently "the minimal mDNS stack" and mdns_minimal are two different things, and the installation message is about something else than mdns_minimal. -- [[User:Lonaowna|Lonaowna]] ([[User talk:Lonaowna|talk]]) 14:59, 14 April 2016 (UTC)

Latest revision as of 14:59, 14 April 2016

Warning about its usage?

I strongly suggest that Avahi not be used at this time; especially with Win9X on the LAN. Avahi does nothing to help with the network connections and does not offer any services which are not available elsewhere. Worse, it is not complete, and is missing key elements.

Futher, since all networking configuration is extremely difficult, it is far more advantageous to focus the user on the basics. Unless the user is of advanced understanding of Arch and the inner workings of Linux in general, the use of Avahi is only distracting from the ultimate quest; having a simple and intuitive network and file sharing setup.

If any user might stumble upon this subject, it would be good to offer appropriate warnings at the begining of the article, and clearly explain the details of the tested situation offered in the article. Obviously it does not work in certain situations, as I can attest.

Thanks. - KitchM 20:51, 3 June 2010 (EDT)

This comment is quite long. Since Avahi upstream does see itself unstable, so maybe the warning here is not needed. At the same time, the "Not working situations" should be list clearly of cause. --Fengchao (talk) 05:49, 18 May 2012 (UTC)
The comment was meant to be amplified enough so all could understand all the nuances of the problem. Further, just because upstream thinks it is stable, or even useful, does not make it either. To test if the product works, anyone is free to test it. KitchM (talk) 15:10, 18 May 2012 (UTC)
Then please add an objective summary of the current situation. And an list of "Not working situations" based on your experence will help other users as well. -- Fengchao (talk) 12:15, 19 May 2012 (UTC)

mdns_minimal no longer works?

From the install notes:

   ==> Please note that due to security reasons from version 0.9 on the 
       minimal mDNS stack included in nss-mdns (dubbed "legacy") is no 
       longer built - nss-mdns will not work unless Avahi is running.
   ==> To enable IPv4 multicast DNS lookups, append 'mdns4' to the hosts line
       in /etc/nsswitch.conf. Use 'mdns6' for IPv6 or 'mdns' for both.

Tad (talk) 06:40, 14 April 2016 (UTC)

I think the installation message is incorrect, because the minimal modules are included in the package. I have opened a bug report: FS#48935. -- Lonaowna (talk) 11:26, 14 April 2016 (UTC)
Ok... apparently "the minimal mDNS stack" and mdns_minimal are two different things, and the installation message is about something else than mdns_minimal. -- Lonaowna (talk) 14:59, 14 April 2016 (UTC)